javax.servlet.jsp

## Class SkipPageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.jsp.JspException
      - - javax.servlet.jsp.SkipPageException

- All Implemented Interfaces:
    Serializable

      public class SkipPageException
      extends JspException

  Exception to indicate the calling page must cease evaluation. Thrown by a simple tag handler to indicate that the remainder of the page must not be evaluated. The result is propagated back to the pagein the case where one tag invokes another (as can be the case with tag files). The effect is similar to that of a Classic Tag Handler returning Tag.SKIP_PAGE from doEndTag(). Jsp Fragments may also throw this exception. This exception should not be thrown manually in a JSP page or tag file - the behavior is undefined. The exception is intended to be thrown inside SimpleTag handlers and in JSP fragments.
  Since:
    JSP 2.0
  See Also:
    `SimpleTag.doTag()`, `JspFragment.invoke(java.io.Writer)`, `Tag.doEndTag()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipPageException()` Creates a SkipPageException with no message.
    `SkipPageException(String message)` Creates a SkipPageException with the provided message.
    `SkipPageException(String message, Throwable rootCause)` Creates a SkipPageException with the provided message and root cause.
    `SkipPageException(Throwable rootCause)` Creates a SkipPageException with the provided root cause.

  - ### Method Summary

    - ### Methods inherited from class javax.servlet.jsp.JspException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SkipPageException

          public SkipPageException()

      Creates a SkipPageException with no message.

    - #### SkipPageException

          public SkipPageException(String message)

      Creates a SkipPageException with the provided message.
      Parameters:
        `message` - the detail message

    - #### SkipPageException

          public SkipPageException(String message,
                           Throwable rootCause)

      Creates a SkipPageException with the provided message and root cause.
      Parameters:
        `message` - the detail message
        `rootCause` - the originating cause of this exception

    - #### SkipPageException

          public SkipPageException(Throwable rootCause)

      Creates a SkipPageException with the provided root cause.
      Parameters:
        `rootCause` - the originating cause of this exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.